<div class="form-container">
  <div class="form-content">
    <div class="form-wrapper">
      <div class="form-group">
        <div class="form-group__label">
          <label><%= t 'community_survey.title_label' %></label>
        </div>
        <div class="form-group__input">
          <%# <%= @community_surveys %>
          <% community_surveys = @community_surveys.map { |a| [a.vname, a.vid] } %>
          <%= select_tag :community_survey_id, options_for_select(community_surveys), { prompt: t('please_select_label'), class: 'ui search dropdown', required: true } %>
        </div>
      </div>
    </div>

    <div class="form-wrapper">
      <div class="form-group">
        <div class="form-group__label">
          <label><%= t 'house.title_label' %></label>
        </div>
        <div class="form-group__input">
          <%= select_tag :h_id, options_for_select([]), { include_blank: '-', class: 'ui search dropdown', required: true } %>
        </div>
      </div>
    </div>

    <div class="form-wrapper">
      <div class="form-group">
        <div class="form-group__label">
          <label><%= t 'family_folder.title_label' %></label>
        </div>
        <div class="form-group__input">
          <%= select_tag :family_folder_id, options_for_select([]), { include_blank: '-', class: 'ui search dropdown', required: true } %>
        </div>
      </div>
    </div>

    <div class="form-wrapper">
      <div class="form-group">
        <div class="form-group__label">
          <label><%= t 'person.title_label' %></label>
        </div>
        <div class="form-group__input">
          <%= select_tag :p_id, options_for_select([]), { include_blank: '-', class: 'ui search dropdown', required: true } %>
        </div>
      </div>
    </div>
  </div>
  <div class="form-action --no-bg">
    <button id="cancel_button" class="ui button --edit --footer-button"><%= t :cancel_label %></button>
    <button id="select_button" class="ui button --submit --footer-button"><%= t :ok_label %></button>
  </div>

  <script>
    $.getScript("<%= asset_url("utils.js") %>");
    $('.ui.search.dropdown').dropdown({ fullTextSearch: true });
    $('#cancel_button').click(function () {
      $('#goto_modal').modal('toggle');
    });

    $('#select_button').click(function () {
      const community_survey_id = $('#community_survey_id').val();
      if (!community_survey_id) return;
      const h_id = $('#h_id').val();
      if (!h_id) return;
      const family_folder_id = $('#family_folder_id').val();
      if (!family_folder_id) return;
      const p_id = $('#p_id').val();
      if (!p_id) return;
      const url = `/community_surveys/${community_survey_id}/houses/${h_id}/family_folders/${family_folder_id}/people/${p_id}/person_health_surveys`;
      document.location = url;
    });
  </script>
</div>

